Package com.independentsoft.office.spreadsheet

# Class WorkbookProtection

java.lang.Object
com.independentsoft.office.spreadsheet.WorkbookProtection

public class WorkbookProtection extends Object
The Class WorkbookProtection.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WorkbookProtection()`
  Instantiates a new workbook protection.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `WorkbookProtection`
  `clone()`
  `String`
  `getPassword()`
  Gets the password.
  `String`
  `getRevisionsPassword()`
  Gets the revisions password.
  `boolean`
  `isLockRevisions()`
  Checks if is lock revisions.
  `boolean`
  `isLockStructure()`
  Checks if is lock structure.
  `boolean`
  `isLockWindows()`
  Checks if is lock windows.
  `void`
  `setLockRevisions​(boolean lockRevisions)`
  Sets the lock revisions.
  `void`
  `setLockStructure​(boolean lockStructure)`
  Sets the lock structure.
  `void`
  `setLockWindows​(boolean lockWindows)`
  Sets the lock windows.
  `void`
  `setPassword​(String password)`
  Sets the password.
  `void`
  `setRevisionsPassword​(String revisionsPassword)`
  Sets the revisions password.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### WorkbookProtection

    public WorkbookProtection()
    Instantiates a new workbook protection.

- ## Method Details

  - ### clone

    public WorkbookProtection clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### isLockRevisions

    public boolean isLockRevisions()
    Checks if is lock revisions.
    Returns:
      true, if is lock revisions

  - ### setLockRevisions

    public void setLockRevisions​(boolean lockRevisions)
    Sets the lock revisions.
    Parameters:
      `lockRevisions` - the new lock revisions

  - ### isLockStructure

    public boolean isLockStructure()
    Checks if is lock structure.
    Returns:
      true, if is lock structure

  - ### setLockStructure

    public void setLockStructure​(boolean lockStructure)
    Sets the lock structure.
    Parameters:
      `lockStructure` - the new lock structure

  - ### isLockWindows

    public boolean isLockWindows()
    Checks if is lock windows.
    Returns:
      true, if is lock windows

  - ### setLockWindows

    public void setLockWindows​(boolean lockWindows)
    Sets the lock windows.
    Parameters:
      `lockWindows` - the new lock windows

  - ### getRevisionsPassword

    public String getRevisionsPassword()
    Gets the revisions password.
    Returns:
      the revisions password

  - ### setRevisionsPassword

    public void setRevisionsPassword​(String revisionsPassword)
    Sets the revisions password.
    Parameters:
      `revisionsPassword` - the new revisions password

  - ### getPassword

    public String getPassword()
    Gets the password.
    Returns:
      the password

  - ### setPassword

    public void setPassword​(String password)
    Sets the password.
    Parameters:
      `password` - the new password